macroScript SymmetrySettings

category:"Symmetry" 

tooltip:"Customize Symmetry Settings"

buttontext:"Customize Symmetry Settings"

icon:#("Symmetry",12)

(

rollout symmetry_rollout "Symmetry Setup"

(

dropdownlist search_mode items:#("First in Threshold","Nearest in Threshold","Nearest in Voxel") selection:symmetry_search_mode width:140

spinner threshold "Search Threshold" range:[0,100,symmetry_threshold_value] fieldwidth:35 

spinner voxel_divisions "Voxel Divisions:" range:[2,20,symmetry_divisions] type:#integer fieldwidth:35

checkbutton show_info "Show Info In Listener" checked:symmetry_display_info highlightcolor:(color 200 255 200) width:140

button reset_defaults "RESET to Defaults" width:140





on search_mode selected itm do symmetry_search_mode = itm

on threshold changed value do symmetry_threshold_value = value

on voxel_divisions changed value do symmetry_divisions = value

on show_info changed state do symmetry_display_info = state

on reset_defaults pressed do 

	(

	search_mode.selection = symmetry_search_mode = 1

	threshold.value = symmetry_threshold_value = 0.1

	voxel_divisions.value = symmetry_divisions = 10

	show_info.state = symmetry_display_info = false

	)

)--end roll



on execute do 

(

DestroyDialog symmetry_rollout

CreateDialog symmetry_rollout 160 120

)



)--end script
